﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using TestGrid.DataSources;
using System.Data.OleDb;
using TestGrid.Extensions;
using Infragistics.Win.UltraWinGrid;

namespace TestGrid
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["Budget"].CellActivation = Activation.NoEdit;
            //e.Layout.Bands[0].Columns["Budget"].Format = "c";
            //e.Layout.Bands[0].Columns["Budget"].Format = "{##,##0.00}";
            e.Layout.Bands[0].Columns["Budget"].Format = "##,##0.00";
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //------------------------- EXAMPLE ONE ------------------------------------------
            OleDbDataAdapter adapter = new OleDbDataAdapter("Select KassaID, Budget From tabKassa", "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=\"C:\\Temp\\TestGrid\\DataSources\\dbTestGrid.mdb\";Persist Security Info=True");
            DataSet dataSetKassa = new DataSet();
            adapter.Fill(dataSetKassa, "tabKassa");

            OleDbDataAdapter adapter2 = new OleDbDataAdapter("Select KassaDetailID, KassaID,Costs From tabKassaDetail", "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=\"C:\\Temp\\TestGrid\\DataSources\\dbTestGrid.mdb\";Persist Security Info=True");
            DataSet dataSetKassaDetail = new DataSet();
            adapter2.Fill(dataSetKassaDetail, "tabKassaDetail");

            DataTable Kassa = dataSetKassa.Tables[0].Copy();
            Kassa.TableName = "Kassa";
            DataTable KassaDetail = dataSetKassaDetail.Tables[0].Copy();
            KassaDetail.TableName = "KassaDetail";

            var Query = from k in Kassa.AsEnumerable()
                        join d in KassaDetail.AsEnumerable()
                        on k.Field<Int32>("KassaID") equals d.Field<Int32>("KassaID")
                        into g
                        from d in g.DefaultIfEmpty()

                        select new
                        {
                            KassaID = k.Field<Int32>("KassaID"),
                            Budget = k.Field<Int32>("Budget"),
                            Costs = (d == null ? 0 : d.Field<Int32>("Costs"))
                        };
            DataSet datasetResult = Query.ToDataSet("TableHochrechnung");
            gridKassa.DataSource = datasetResult;

            //--------------------- EXAMPLE TWO ----------------------------------

            

            //OleDbDataAdapter adapter = new OleDbDataAdapter("Select KassaID, Budget From tabKassa", "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=\"C:\\Dokumente und Einstellungen\\chst\\Eigene Dateien\\Visual Studio 2008\\Projects\\TestGrid\\DataSources\\dbTestGrid.mdb\";Persist Security Info=True");
            //DataSet dataSetKassa = new DataSet();
            //adapter.Fill(dataSetKassa, "tabKassa");

            //gridKassa.DataSource = dataSetKassa;
        }
    }
}
